Subject: Re: bug#13675: 24.2.93; Extremely slow redisplay when lines are very long

From: Eli Zaretskii <[email-masked]>
Date: Sun, 10 Feb 2013 19:36:30 +0200

> Date: Sun, 10 Feb 2013 18:26:14 +0200
> From: Eli Zaretskii <[email-masked]>
> 
> This is a very long-standing deficiency of the Emacs display engine:
> it is awfully slow in buffers with very long (thousands of characters)
> lines.  Specifically, many simple movement commands, scrolling, or
> even typing "M-x" can take several seconds(!) to complete.
> 
> A simple Awk script attached below can be used to generate such files.
> 
> For the latest discussions of this and some data, see this thread:
> 
>   http://lists.gnu.org/archive/html/emacs-devel/2013-02/msg00135.html
> 
> The solution for this bug should produce algorithmic changes in the
> display engine and possibly also supporting changes in data structures
> that would prevent such a terrible slow-down with long lines.
> Ideally, redisplay of such buffers should not be much slower than
> buffers with "normal" line length.

Revision 111724 speeds up some of the redisplay operations by a factor
of 3.